Get
GET
/platform/v1/broadcasts/{broadcast_id}
const url = 'https://example.com/platform/v1/broadcasts/1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/platform/v1/broadcasts/1Single broadcast fetch — owner-scoped 404 opaque.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” broadcast_id
required
Broadcast Id
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
PlatformBroadcastResponse
Full broadcast row — the wire-key for the channel is
platform_channel_id (FastAPI serializes Pydantic v2 aliases as JSON
keys by default — mirror platform_data_plane.PlatformMessageResponse).
object
created_at
required
Created At
string format: date-time
id
required
Id
integer
language_code
required
Language Code
string
name
required
Name
string
platform_channel_id
required
Platform Channel Id
integer
recipient_count
required
Recipient Count
integer
status
required
Status
string
template_name
required
Template Name
string
updated_at
required
Updated At
string format: date-time
Example generated
{ "completed_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "id": 1, "language_code": "example", "name": "example", "platform_channel_id": 1, "recipient_count": 1, "scheduled_at": "2026-04-15T12:00:00Z", "started_at": "2026-04-15T12:00:00Z", "status": "example", "template_name": "example", "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}